# Interface ICefDomDocument

Description
Hierarchy
Fields
Methods
Properties

## Unit

uCEFInterfaces

## Declaration

`type ICefDomDocument = interface(ICefBaseRefCounted)`

## Description

Interface used to represent a DOM document. The functions of this interface should only be called on the render process main thread thread.

UNKNOWN

<see href="https://bitbucket.org/chromiumembedded/cef/src/master/include/capi/cef_dom_capi.h">CEF source file: /include/capi/cef_dom_capi.h (cef_domdocument_t))

## Hierarchy

- IInterface
- ICefBaseRefCounted
- ICefDomDocument

## Overview

### Methods

| `function GetType: TCefDomDocumentType;`
| `function GetDocument: ICefDomNode;`
| `function GetBody: ICefDomNode;`
| `function GetHead: ICefDomNode;`
| `function GetTitle: ustring;`
| `function GetElementById(const id: ustring): ICefDomNode;`
| `function GetFocusedNode: ICefDomNode;`
| `function HasSelection: Boolean;`
| `function GetSelectionStartOffset: Integer;`
| `function GetSelectionEndOffset: Integer;`
| `function GetSelectionAsMarkup: ustring;`
| `function GetSelectionAsText: ustring;`
| `function GetBaseUrl: ustring;`
| `function GetCompleteUrl(const partialURL: ustring): ustring;`

### Properties

| `property DocType : TCefDomDocumentType read GetType;`
| `property Document : ICefDomNode read GetDocument;`
| `property Body : ICefDomNode read GetBody;`
| `property Head : ICefDomNode read GetHead;`
| `property Title : ustring read GetTitle;`
| `property FocusedNode : ICefDomNode read GetFocusedNode;`
| `property SelectionStartOffset : Integer read GetSelectionStartOffset;`
| `property SelectionEndOffset : Integer read GetSelectionEndOffset;`
| `property SelectionAsMarkup : ustring read GetSelectionAsMarkup;`
| `property SelectionAsText : ustring read GetSelectionAsText;`
| `property BaseUrl : ustring read GetBaseUrl;`

## Description

### Methods

| `function GetType: TCefDomDocumentType;`
Returns the document type. ###### Attributes GUID['{08E74052-45AF-4F69-A578-98A5C3959426}']

| `function GetDocument: ICefDomNode;`
Returns the root document node.

| `function GetBody: ICefDomNode;`
Returns the BODY node of an HTML document.

| `function GetHead: ICefDomNode;`
Returns the HEAD node of an HTML document.

| `function GetTitle: ustring;`
Returns the title of an HTML document.

| `function GetElementById(const id: ustring): ICefDomNode;`
Returns the document element with the specified ID value.

| `function GetFocusedNode: ICefDomNode;`
Returns the node that currently has keyboard focus.

| `function HasSelection: Boolean;`
Returns true (1) if a portion of the document is selected.

| `function GetSelectionStartOffset: Integer;`
Returns the selection offset within the start node.

| `function GetSelectionEndOffset: Integer;`
Returns the selection offset within the end node.

| `function GetSelectionAsMarkup: ustring;`
Returns the contents of this selection as markup.

| `function GetSelectionAsText: ustring;`
Returns the contents of this selection as text.

| `function GetBaseUrl: ustring;`
Returns the base URL for the document.

| `function GetCompleteUrl(const partialURL: ustring): ustring;`
Returns a complete URL based on the document base URL and the specified partial URL.

### Properties

| `property DocType : TCefDomDocumentType read GetType;`
Returns the document type.

| `property Document : ICefDomNode read GetDocument;`
Returns the root document node.

| `property Body : ICefDomNode read GetBody;`
Returns the BODY node of an HTML document.

| `property Head : ICefDomNode read GetHead;`
Returns the HEAD node of an HTML document.

| `property Title : ustring read GetTitle;`
Returns the title of an HTML document.

| `property FocusedNode : ICefDomNode read GetFocusedNode;`
Returns the node that currently has keyboard focus.

| `property SelectionStartOffset : Integer read GetSelectionStartOffset;`
Returns the selection offset within the start node.

| `property SelectionEndOffset : Integer read GetSelectionEndOffset;`
Returns the selection offset within the end node.

| `property SelectionAsMarkup : ustring read GetSelectionAsMarkup;`
Returns the contents of this selection as markup.

| `property SelectionAsText : ustring read GetSelectionAsText;`
Returns the contents of this selection as text.

| `property BaseUrl : ustring read GetBaseUrl;`
Returns the base URL for the document.

Generated by PasDoc 0.16.0-snapshot.